#include<bits/stdc++.h>
using namespace std;


int y[100005];
//int z[100005]; ne znam da li mi treba uopste
//popuje mi q i klikcem asept
int main(){
	ios::sync_with_stdio(0); cin.tie(0);
	unordered_map <int,int> x;
	int n; cin >> n;
	for(int i = 0; i < n; i++){
		int t; cin >> t;
		x[t]++;
	}
	for(int i = 1; i <= n; i++) cin >> y[i];
	
	
	long long res = 0;
	for(int i = 1; i <= n; i++){
		int t; cin >> t;
		res += x[y[t]];
	}
	
	cout << res << "\n";
	return 0;
}